{
	saved_FirstTime[0]
	
	Init[() 
	{
		if(saved_FirstTime = 0)
		{
			SetNationality(1); GiveWeapon(56); PlayAnimation(7); 
			saved_FirstTime = 1;
		}	
	}]
	
	QuitTalking[()
	{
		if(not self.IsDead())
		{
			martin = Level.GetPlayer(); PlayAnimation(13); TurnTo(martin); Attack(martin); SetState_Patrol(1);
		}
	}]
	
	QuitTalking2[()
	{
		if(not self.IsDead())
		{
			SetWander(0); SetState_Patrol(1); SetAttackDistance(8, 4); SetLineOfSight(1,120);
		}
	}]
	
	GoPath[()
	{
		FollowPath("ChatterBackUpPath",0);	
	}]
}